apiVersion: v1
kind: Pod
metadata:
  name: lifecycle-needs-startup
spec:
  containers:
    - name: lifecycle-needs-startup
      image: gcr.io/google-samples/hello-app:1.0
      ports:
        - containerPort: 8080
      command: [ "/bin/sh","-c" ]
      args: [ "sleep 30; ./hello-app" ]
      livenessProbe:
        httpGet:
          path: '/'
          port: 8080
        failureThreshold: 1
        timeoutSeconds: 1
        periodSeconds: 5
        initialDelaySeconds: 5
      readinessProbe:
        httpGet:
          path: '/'
          port: 8080
        failureThreshold: 1
        timeoutSeconds: 1
        periodSeconds: 5
        initialDelaySeconds: 5
